if runZoomScript and not fredOverride then
	if zoomLockKey and hv.Key:lower() == zoomLockKey:lower() then
		if lockedZoom then
			zoomOut()
			lockedZoom = false
			return
		else
			zoomIn()
			lockedZoom = true
			return
		end
	end
	if hv.Key:lower() == zoomKey:lower() then
		zoomIn()
	end
end